# Everyware Installer

### Usage
```bash
$ ./everyware [command] [options] [arguments]
```
### Options
```bash
-h, --help            Display this help message
-q, --quiet           Do not output any message
-V, --version         Display this application version
  --ansi            Force ANSI output
  --no-ansi         Disable ANSI output
-n, --no-interaction  Do not ask any interactive question
-v|vv|vvv, --verbose  Increase the verbosity of messages: 1 for normal output, 2 for more verbose output and 3 for debug
```
## Available commands:
Create command:
```bash
Description:
  Create a new Everyware project

Usage:
  create [options] [--] <name>

Arguments:
  name                               The customer name

Options:
      --from-version[=FROM-VERSION]  The version of Starter Kit to install from : "master" is available to fetch latest commit. [default: "latest"]
      --deployment[=DEPLOYMENT]      The name of the deployment wanted common values : stage, test, prod. [default: "test"]
  -f, --force                        Forces install even if the directory already exists
      --path[=PATH]                  The path to where to create the project. [default: "~/"]
      --prefix[=PREFIX]              The name will be prefixed with "everyware-customer-project" unless specified. [default: "everyware-customer-project"]
  -h, --help                         Display this help message
  -q, --quiet                        Do not output any message
  -V, --version                      Display this application version
      --ansi                         Force ANSI output
      --no-ansi                      Disable ANSI output
  -n, --no-interaction               Do not ask any interactive question
  -v|vv|vvv, --verbose               Increase the verbosity of messages: 1 for normal output, 2 for more verbose output and 3 for debug
```
